Bug 1464187 - Not all interfaces fetched for network routers
Not all interfaces fetched for network routers
Status: ASSIGNED
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers (Show other bugs)
5.7.0
Unspecified Unspecified
high Severity high
: GA
: cfme-future
Assigned To: Alexander Zagaynov
Oleksandr Kolisnyk
openstack
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-22 11:27 EDT by Oleksandr Kolisnyk
Modified: 2017-11-09 06:03 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: Openstack


Attachments (Terms of Use)
interfaces in horizon (110.38 KB, image/png)
2017-06-22 11:27 EDT, Oleksandr Kolisnyk
no flags Details
interfaces in cfme (111.96 KB, image/png)
2017-06-22 11:28 EDT, Oleksandr Kolisnyk
no flags Details

  None (edit)
Description Oleksandr Kolisnyk 2017-06-22 11:27:25 EDT
Created attachment 1290756 [details]
interfaces in horizon

Version-Release number of selected component (if applicable):
5.7.3.1 and RHOS 10

How reproducible:
Always

Steps to Reproduce:
1. Go Networks -> Network Routers
2. Click on any existing router which has interfaces connected
3. Compare the list of CLoud subnets connected to this router on router page with the list of interfaces in OSP (CLI or Horizon) 

Actual results:
CFME page contains not all routers

Expected results:
Interfaces on CFME == interfaces in OSP

Additional info:
Refresh for cloud and network providers were successful
Comment 2 Oleksandr Kolisnyk 2017-06-22 11:28 EDT
Created attachment 1290757 [details]
interfaces in cfme
Comment 3 Tzu-Mainn Chen 2017-06-22 12:10:01 EDT
Oleksandr, can you use the OpenStack CLI and list the device_owner field of the relevant ports?  That's how we categorize these things.
Comment 4 Oleksandr Kolisnyk 2017-06-22 21:39:51 EDT
For HA nets - network:router_ha_interface
For external net - network:router_gateway
For private net - network:ha_router_replicated_interface
Comment 5 Tzu-Mainn Chen 2017-06-22 21:57:54 EDT
The ha items should be fixed in 5.7.3.2, as per https://bugzilla.redhat.com/show_bug.cgi?id=1461886

Ladislav, I see a comment in the code from you regarding network:router_gateway - can you explain why we don't currently collect that information?
Comment 6 Ladislav Smola 2017-06-23 02:10:14 EDT
We collect the gateway information from a router directly.

Note You need to log in before you can comment on or make changes to this bug.